> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Domain

> Verifies domain ownership for an organization.

`Unary` · [`Organizations`](/docs/api-reference/generated/organization/overview)

Verifies domain ownership for an organization.

Use this method to:

* Complete domain verification process
* Enable domain-based features
* Validate DNS configuration

### Examples

* Verify domain ownership:

  Verifies ownership after DNS records are configured.

  ```yaml theme={null}
  domainVerificationId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.OrganizationService/VerifyDomain
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.OrganizationService/VerifyDomain" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "domainVerificationId": "<domain-verification-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.organization_pb2 as organization_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = organization_pb2.VerifyDomainRequest(
      domain_verification_id="<domain-verification-id>",
  )
  response = ona.services.organization.verify_domain(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { VerifyDomainRequestSchema } from "@gitpod/sdk/gitpod/v1/organization_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(VerifyDomainRequestSchema, {
      domainVerificationId: "<domain-verification-id>",
    });
    const response = await ona.services.organization.verifyDomain(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.VerifyDomainRequest{
  		DomainVerificationId: "<domain-verification-id>",
  	})
  	response, err := ona.Services.Organization.VerifyDomain(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "domainVerificationId": "<domain-verification-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.VerifyDomainRequest`

| Field                  | Type   | Required | Description                                     |
| ---------------------- | ------ | -------- | ----------------------------------------------- |
| `domainVerificationId` | string | Yes      | Constraints: `required=true, string.uuid=true`. |

## Response

`gitpod.v1.VerifyDomainResponse`

| Field                | Type                                                      | Required | Description                   |
| -------------------- | --------------------------------------------------------- | -------- | ----------------------------- |
| `domainVerification` | [DomainVerification](#type-gitpod-v1-domain-verification) | Yes      | Constraints: `required=true`. |

## Related types

<a id="type-gitpod-v1-domain-verification" />

<Accordion title="DomainVerification">
  `gitpod.v1.DomainVerification`

  | Field               | Type                                                                 | Required | Description                                                         |
  | ------------------- | -------------------------------------------------------------------- | -------- | ------------------------------------------------------------------- |
  | `id`                | string                                                               | Yes      | Constraints: `required=true, string.uuid=true`.                     |
  | `organizationId`    | string                                                               | Yes      | Constraints: `required=true, string.uuid=true`.                     |
  | `domain`            | string                                                               | Yes      | Constraints: `required=true, string.max_len=253, string.min_len=4`. |
  | `state`             | [DomainVerificationState](#enum-gitpod-v1-domain-verification-state) | Yes      | Constraints: `required=true`.                                       |
  | `verifiedAt`        | RFC 3339 timestamp                                                   | No       |                                                                     |
  | `verificationToken` | string                                                               | No       |                                                                     |
  | `createdAt`         | RFC 3339 timestamp                                                   | No       |                                                                     |
</Accordion>

<a id="enum-gitpod-v1-domain-verification-state" />

<Accordion title="DomainVerificationState">
  | Value                                   | Number | Description |
  | --------------------------------------- | -----: | ----------- |
  | `DOMAIN_VERIFICATION_STATE_UNSPECIFIED` |      0 |             |
  | `DOMAIN_VERIFICATION_STATE_PENDING`     |      1 |             |
  | `DOMAIN_VERIFICATION_STATE_VERIFIED`    |      2 |             |
</Accordion>
